Description

According to this newsgroup posting, the Modality LUT Transformation should not always be applied to the pixel data, i.e. even if it is
present in the DICOM dataset:
https://groups.google.com/forum/?hl=de&fromgroups#!topic/comp.protocols.dicom/n5ybyj1Psno

Here's an excerpt from David Clunie answer:

By the way, in general, it can be difficult to decide whether or
not to apply the conceptual Modality LUT step before windowing,
even 1if it is specified by Rescale Slope/Intercept values rather
than an actual LUT. For example, in MR images to which Philips

has added the rescale values, these should not be applied before
their window values; likewise in PET images, especially those

with GML Units and rescale values to SUV (small decimal numbers),
the window values are historically usually in stored pixel wvalues
rather than SUVs. Making the correct decision may require comparing
the range of possible rescaled output values (across the domain of
possible input stored pixel values) with the specific window values,
to see if the latter "make sense".

Currently, the Dicomlmage class only ignores the Modality LUT Transformation for the following SOP Classes:
e UID_XRayAngiographiclmageStorage

¢ UID_XRayRadiofluoroscopiclmageStorage
e UID_RETIRED_XRayAngiographicBiPlanelmageStorage

History

#1 - 2017-03-24 12:44 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#2 - 2017-12-07 11:57 - Marco Eichelberg
- Target version changed from 3.6.3 to 3.6.6

#3 - 2018-08-02 17:22 - JO6rg Riesmeier

- Status changed from New to Assigned

- Assignee set to Jérg Riesmeier

- Target version changed from 3.6.6 to 3.6.4
- % Done changed from 0 to 80

After checking Part 3 of the DICOM standard (and David Clunie's above referenced posting), it seems to be the best idea to just warn when an (old)
MR image, PET image or RTDOSE object contains a Modality LUT transformation. For these old objects , there does not seem to be an easy way to
check whether the transformation should be applied (for display) or not.

A proposed patch is available and will be committed soon...

2025-09-06 1/2



https://groups.google.com/forum/?hl=de&fromgroups#!topic/comp.protocols.dicom/n5ybyj1Psno

#4 - 2018-08-03 19:01 - Jorg Riesmeier

- Status changed from Assigned to Closed

Closed with commit #7f7648c.
